KubeOne(1)

NAME
kubeone-reset - Revert changes

SYNOPSIS
kubeone reset [flags]

DESCRIPTION
Undo all changes done by KubeOne to the configured machines.

This command takes KubeOne manifest which contains information about hosts. It's possible to source information about hosts from Terraform output, using the '--tfjson' flag.

OPTIONS
-y, --auto-approve[=false]
    auto approve reset

--destroy-workers[=true]
    destroy all worker machines before resetting the cluster

-h, --help[=false]
    help for reset

--remove-binaries[=false]
    remove kubernetes binaries after resetting the cluster

--remove-lb-services[=true]
    remove all load balancers services before resetting the cluster

--remove-volumes[=true]
    remove all dynamically provisioned and unretained volumes before resetting the cluster

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone reset -m mycluster.yaml -t terraformoutput.json

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra